# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TStringValue

Packages that use TStringValue
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TStringValue in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TStringValue
Modifier and Type
Class
Description
`class`
`TStringValue`
`class`
`TStringValue`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TStringValue
Modifier and Type
Method
Description
`TStringValue`
TStringValue.`deepCopy()`
`TStringValue`
TColumnValue.`getStringVal()`
`TStringValue`
TStringValue.`setValue(String value)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStringValue
Modifier and Type
Method
Description
`int`
TStringValue.`compareTo(TStringValue other)`
`boolean`
TStringValue.`equals(TStringValue that)`
`void`
TColumnValue.`setStringVal(TStringValue value)`
`static TColumnValue`
TColumnValue.`stringVal(TStringValue value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStringValue
Modifier
Constructor
Description
``
`TStringValue(TStringValue other)`
Performs a deep copy on other.